import { uuid } from "../utils/uuid";
export var TaskDispatcherEvent;
(function (TaskDispatcherEvent) {
    TaskDispatcherEvent["TaskExecutionStarted"] = "taskExecutionStarted";
    TaskDispatcherEvent["TaskExecutionTimedOut"] = "taskExecutionTimedOut";
    TaskDispatcherEvent["TaskChainFinished"] = "taskChainFinished";
    TaskDispatcherEvent["DefaultCancelEvent"] = "defaultCancelEvent";
})(TaskDispatcherEvent || (TaskDispatcherEvent = {}));
export function createEvent(name, params = {}) {
    const id = params.id ? params.id : uuid();
    const data = params.data ? params.data : {};
    const expirationTimestamp = params.expirationTimestamp
        ? params.expirationTimestamp
        : -1;
    return {
        name,
        id,
        expirationTimestamp,
        data,
    };
}
//# sourceMappingURL=events.js.map