import { hasListeners } from "../../../events";
let _taskChainLauncherCreator = () => null;
export function setTaskChainLauncherCreator(creator) {
    _taskChainLauncherCreator = creator;
}
export function taskChainLauncher() {
    return new CommonTaskChainLauncher(_taskChainLauncherCreator());
}
class CommonTaskChainLauncher {
    constructor(nativeTaskChainLauncher) {
        this.nativeTaskChainLauncher = nativeTaskChainLauncher;
    }
    launch(launchEvent, data = {}, eventId) {
        if (!hasListeners(launchEvent)) {
            return;
        }
        this.nativeTaskChainLauncher.launch(launchEvent, data, eventId);
    }
}
//# sourceMappingURL=common.js.map