import { Task, } from "./task";
export class SimpleTask extends Task {
    constructor(name, functionToRun, taskConfig) {
        super(name, taskConfig);
        this.functionToRun = functionToRun;
    }
    async onRun(params, evt) {
        const onCancel = (f) => this.setCancelFunction(f);
        const runAgainIn = (seconds, taskParams) => this.runAgainIn(seconds, taskParams);
        const remainingTime = () => this.remainingTime();
        const log = (message) => this.log(message);
        const ctx = {
            params,
            evt,
            onCancel,
            runAgainIn,
            remainingTime,
            log,
        };
        return this.functionToRun(ctx);
    }
}
//# sourceMappingURL=simple-task.js.map