import { isAndroid } from "@nativescript/core";
export function now() {
    if (isAndroid) {
        return java.lang.System.currentTimeMillis();
    }
    else {
        return Math.round(NSDate.date().timeIntervalSince1970 * 1000.0);
    }
}
//# sourceMappingURL=time.js.map