import { off, on } from "../internal/events";
export function listenToEventTrigger(eventName, eventId) {
    return new Promise((resolve) => {
        const listenerId = on(eventName, (evt) => {
            if (evt.id === eventId) {
                off(eventName, listenerId);
                resolve(evt.data);
            }
        });
    });
}
export { createEvent, emit } from "../internal/events";
//# sourceMappingURL=events.js.map